Subject: COUNTER - and who sent it.

From: Doug Royer <[email-masked]>
Date: Sun, 13 Oct 2002 18:11:46 -0600

In preparation for updating CAP, I ran across this message.
Unless there is some objection, I'll add it to CAP.

The issue is that there would be no way to know who sent
the COUNTER method once stored in the CS so that a
possible DECLINE-COUNTER could be sent at a later time.

A CUA that processes iMIP or CUA originated COUNTER
objects MUST add the ATT-COUNTER PROPERTY to any COUNTER
objects that are stored in the CS. For iMIP messages,
the CUA MUST put the originators e-mail address as the
value to the ATT-COUNTER property. And all CUAs MUST
add the users CAL-ADDRESS (which might be the CUs e-mail
address) to the ATT-COUNTER property.

-Doug

     * From: [email-masked]
     * Date: Tue, 29 Aug 2000 11:33:12 -0400

     Folks:

    I have thought about this some more.

    I think that the proposal to add an ATT-COUNTER parameter
    to the ATTENDEE property present backwards compatibility
    with iCalendar RFC2445 products.

    An alternative proposal would be to have an ATT-COUNTER
    property, instead.

    If we think about what this semantic means, it is similar
    to the ORGANIZER property. The attendee making the COUNTER
    proposal is effectively proposing a new event, similar to
    a tentative invitation proposal. As such, I believe that
    you all would agree that making this a property, instead
    of an ATTENDEE property parameter is a better design approach.

    For backwards compatibility, a RFC2445 compatible parser is
    supposed to skip any unrecognized properties, as these may
    have been IANA registered extensions anyway.

    Don't you all agree?

    -- Frank

-- 
-
Doug Royer                       Work: (208)612-INET
[email-masked]                   Fax:  (866)594-8574
http://INET-Consulting.com       Cell: (208)520-4044
http://Royer.com/People/Doug

---

From: [email-masked]
Date: Wed, 30 Oct 2002 11:39:08 -0500

Doug replied on 23-Oct-2002 with:
> > Also, I assume that we are allowing a SENT-BY property parameter to be 

> > on ATT-COUTNER since its possible my AA is doing the COUNTERing.  Do 
you 
> > agree?
> Yes.

In looking @ this in the 09-b-2 draft I do not see it in there.  In 
Section 7.2 ATT-COUNTER Property see:

   Formal Definition: The property is defined by the following notation:

         attcounter   = "ATT-COUNTER" *(";" xparam) ":" cal-address CRLF

There is mention of the SENT-BY property parameter.  Perhaps in 09-b-3 or 
09-c...??

Bruce
===========================================================================
Bruce Kahn                                INet: 
[email-masked]
Messaging & Collaboration                 Phone: 978.399.6496
IBM Software Group                         FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...